# $Revision: 1.84 $, $Date: 2010/08/11 06:21:38 $
#
# Conditional build:
%bcond_without	gpgsm		# with gnupg S/MIME support
%bcond_without	pth		# without pth-based version of library
%bcond_without	static_libs	# do not build static libraries
%bcond_with	tests		# perform tests
#
# TODO: separate pth version? disable by default (if !needed at all)?
Summary:	Library for accessing GnuPG
Summary(pl.UTF-8):	Biblioteka dająca dostęp do funkcji GnuPG
Name:		gpgme
Version:	1.3.0
Release:	1
Epoch:		1
License:	LGPL v2.1+
Group:		Libraries
Source0:	ftp://ftp.gnupg.org/gcrypt/gpgme/%{name}-%{version}.tar.bz2
# Source0-md5:	4784e3c6086c9c25e9a1b4d9f7c5aa96
Patch0:		%{name}-info.patch
Patch1:		%{name}-kill-tests.patch
URL:		http://www.gnupg.org/gpgme.html
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.10
BuildRequires:	libassuan-devel >= 1:1.1.0
BuildRequires:	libgpg-error-devel >= 1.4
BuildRequires:	libtool >= 2:2.2.6
%{?with_pth:BuildRequires:	pth-devel >= 1.2.0}
BuildRequires:	texinfo
BuildConflicts:	gnupg < 1.3.0
%{!?with_gpgsm:Requires:	gnupg >= 1.4.0}
%{?with_gpgsm:Requires:	gnupg-smime >= 1.9.8}
%{?with_gpgsm:Requires:	gnupg2 >= 2.0.4}
Requires:	libassuan >= 1:1.1.0
Requires:	libgpg-error >= 1.4
Obsoletes:	cryptplug
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library for accessing GnuPG.

%description -l pl.UTF-8
Biblioteka dająca dostęp do funkcji GnuPG.

%package devel
Summary:	Header files for GPGME library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GPGME
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libgpg-error-devel >= 1.4

%description devel
Header files for GPGME library, needed for compiling programs using
GPGME.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GPGME, potrzebne do kompilacji programów
używających GPGME.

%package static
Summary:	Static version of GPGME library
Summary(pl.UTF-8):	Statyczna wersja biblioteki GPGME
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static version of GPGME library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki GPGME.

%prep
%setup -q
%patch0 -p1
%{!?with_tests:%patch1 -p1}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static} \
	%{?with_gpgsm:--with-gpgsm=/usr/bin/gpgsm} \
	%{!?with_gpgsm:--without-gpgsm} \
	%{!?with_pth:--without-pth} \
	--with-gpg=/usr/bin/gpg%{?with_gpgsm:2}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc README ChangeLog THANKS TODO NEWS AUTHORS
%attr(755,root,root) %{_libdir}/libgpgme.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgpgme.so.11
%attr(755,root,root) %{_libdir}/libgpgme-pth.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgpgme-pth.so.11
%attr(755,root,root) %{_libdir}/libgpgme-pthread.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgpgme-pthread.so.11

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gpgme-config
%attr(755,root,root) %{_libdir}/libgpgme.so
%attr(755,root,root) %{_libdir}/libgpgme-pth.so
%attr(755,root,root) %{_libdir}/libgpgme-pthread.so
%{_libdir}/libgpgme.la
%{_libdir}/libgpgme-pth.la
%{_libdir}/libgpgme-pthread.la
%{_includedir}/gpgme.h
%{_aclocaldir}/gpgme.m4
%{_infodir}/gpgme.info*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgpgme.a
%{_libdir}/libgpgme-pth.a
%{_libdir}/libgpgme-pthread.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gpgme.spec,v $
Revision 1.84  2010/08/11 06:21:38  qboosh
- libassuan epoch

Revision 1.83  2010/08/11 06:19:52  qboosh
- updated to 1.3.0

Revision 1.82  2010/06/06 19:56:02  glen
- revert broken adapter part

Revision 1.81  2010/06/05 16:17:02  arvenil
- downgrade to 1.2.0 (1.3.0 goes to DEVEL because of libassuan 2.0.0)

Revision 1.80  2010/06/05 15:17:08  arvenil
- revert last change

Revision 1.78  2010/06/04 15:50:37  arvenil
- adapter

Revision 1.77  2010/06/04 15:49:39  arvenil
- up to 1.3.0
- BR: libassuan-devel >= 1:2.0.0

Revision 1.76  2009/06/26 09:58:41  arekm
- up to 1.2.0

Revision 1.75  2008/12/26 18:07:24  qboosh
- updated to 1.1.8

Revision 1.74  2008/11/14 19:51:07  qboosh
- updated to 1.1.7

Revision 1.73  2008/01/24 01:36:32  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.72  2008-01-05 03:20:11  qboosh
- updated to 1.1.6

Revision 1.71  2007-12-29 00:34:10  glen
- rel 2

Revision 1.70  2007-07-15 22:50:22  qboosh
- updated to 1.1.5

Revision 1.69  2007/05/29 15:46:25  baggins
- rel 2
- R: gnupg2 with gpgsm

Revision 1.68  2007/03/16 20:44:10  qboosh
- added CVE reference

Revision 1.67  2007/03/16 20:27:06  qboosh
- updated to 1.1.4 [fixes CVE-2007-1263]

Revision 1.66  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.65  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.64  2007/02/01 11:05:26  qboosh
- updated to 1.1.3

Revision 1.63  2007/01/13 23:16:24  arekm
- rel 2

Revision 1.62  2006/03/04 22:03:56  qboosh
- updated to 1.1.2

Revision 1.61  2006/02/23 14:37:35  qboosh
- updated to 1.1.1

Revision 1.60  2005/10/06 10:20:59  qboosh
- updated to 1.1.0

Revision 1.59  2005/06/23 20:39:18  qboosh
- updated to 1.0.3, added tests bcond

Revision 1.58  2005/05/21 00:02:11  pluto
- ugly hack / kill tests (they cause sigsegv on 64-bit archs).

Revision 1.57  2005/05/20 18:39:28  pluto
- use gpg2 command in tests during build with gpgsm support.

Revision 1.56  2005/05/20 18:19:59  pluto
- revision 1.55 copied to AC-branch.
- s/mime support enabled (req. gnupg2).
- release 5 for Th.

Revision 1.55  2005/04/20 10:21:53  pluto
- s/mime support should use gpg2.

Revision 1.54  2005/04/16 03:30:56  glen
- rel 4; STBR

Revision 1.53  2005/04/15 22:02:07  glen
- use gnupg-smime for gpgsm bcond (provided by gpg2.spec)
- specify path to gpg binary so gpg support is built even if gpg is
  not installed at compile time (needed for kmail to work)

Revision 1.52  2005/03/30 08:42:05  freetz
- include more m4 macros for aclocal

Revision 1.51  2005/03/29 17:42:17  havner
- rel 3

Revision 1.50  2005/01/09 17:53:19  qboosh
- Epoch to allow upgrade from obsolete version in Ac

Revision 1.49  2005/01/08 07:24:29  havner
- O: cryptplug

Revision 1.48  2005/01/03 15:59:27  qboosh
- updated ac/am deps

Revision 1.47  2005/01/03 15:45:38  qboosh
- updated to 1.0.2 (License changed to LGPL v2.1+)

Revision 1.46  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.45  2004/10/24 21:21:02  qboosh
- updated to 1.0.1 (bugfixes), removed obsolete gpgsm patch

Revision 1.44  2004/10/17 20:08:00  qboosh
- updated to 1.0.0, added gpgsm patch

Revision 1.43  2004/08/12 09:51:19  pluto
- %%bcond_gpgsm: minor desc fix.

Revision 1.42  2004/06/21 21:52:18  qboosh
- updated to 0.9.0

Revision 1.41  2004/05/22 18:59:56  qboosh
- use single gnupg dep

Revision 1.40  2004/05/22 17:46:06  adgor
- Bconds with gpgsm & without static_libs
- Release 2

Revision 1.39  2004/05/07 12:58:47  qboosh
- updated to 0.4.7, removed obsolete am18 patch

Revision 1.38  2004/04/22 20:51:56  qboosh
- updated to 0.4.6, cosmetics

Revision 1.37  2004/03/08 23:05:09  qboosh
- updated to 0.4.5, removed obsolete acfix patch

Revision 1.36  2004/01/13 09:49:45  trojan
- updated to 0.4.4

Revision 1.35  2003/12/30 03:39:22  qboosh
- added am18 patch, release 2

Revision 1.34  2003/12/08 11:45:15  qboosh
- added acfix patch for ac 2.58+
- deal with pth dependency

Revision 1.33  2003/10/08 10:55:26  arekm
- updated to 0.4.3

Revision 1.32  2003/10/08 10:28:02  cieciwa
- fixed conflict: BuildConflicts and Requires

Revision 1.31  2003/08/29 22:11:23  qboosh
- gnupg 1.2.3 is still insufficient

Revision 1.30  2003/08/13 09:09:47  qboosh
- build fails when gnupg is installed (some packet not supported by gnupg
  up to 1.2.2)

Revision 1.29  2003/08/09 10:26:51  qboosh
- updated versions in deps

Revision 1.28  2003/08/08 22:59:28  deejay1
- updated to 0.4.2

Revision 1.27  2003/07/30 09:04:36  qboosh
- typo

Revision 1.26  2003/06/07 09:27:45  trojan
- updated to 0.4.1
- added BR: libgpg-error-devel

Revision 1.25  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.24  2003/05/25 05:48:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/03/23 20:38:11  adamg
- few typos fixed.

Revision 1.22  2003/03/23 11:39:47  adamg
- updated to devel version 0.4.0 (needed by gpa)

Revision 1.21  2003/02/20 21:23:09  misi3k
- updated to 0.3.15

Revision 1.20  2003/02/05 22:51:34  radek
- updated Source0 URL

Revision 1.19  2003/01/27 22:47:36  filon
- udpated to 0.3.14
- updated requires
- don't use %%{name}.m4 in files

Revision 1.18  2002/12/10 09:58:15  mis
- autoupdated to 0.3.12

Revision 1.17  2002/12/02 22:08:29  ankry
- pl Summary/description fixes
- adapterized

Revision 1.16  2002/11/25 14:13:05  ankry
- massive attack: no need for 755 for *.la

Revision 1.15  2002/10/09 13:14:28  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.14  2002/09/07 17:49:31  kloczek
- (auto)updated to 0.3.10: bug fixes.

Revision 1.13  2002/08/25 22:44:45  kloczek
- (auto)updated to 0.3.9.

Revision 1.12  2002/08/18 12:16:10  kloczek
- release 2.

Revision 1.11  2002/08/18 11:13:19  blues
- license fix

Revision 1.10  2002/07/06 14:08:31  mwinkler
- updated to 0.3.8, STBR

Revision 1.9  2002/06/23 20:32:28  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.8  2002/05/21 23:13:19  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/05/21 14:19:54  qboosh
- removed gpgme-config from base; new %%doc; release 2

Revision 1.6  2002/05/01 08:47:54  kloczek
- License changed to GPLv2.

Revision 1.5  2002/05/01 08:47:03  kloczek
- fix info infdex entry (added info patch),
- added full regenerate ac/am/lt files.

Revision 1.4  2002/04/30 21:32:13  qboosh
- run fix-info-dir in post/postun -devel (not base)

Revision 1.3  2002/04/30 07:54:28  filon
- rn ldconfig in post/postun

Revision 1.2  2002/04/30 07:39:01  qboosh
- fixed typo in Group, subpackages Requires, files and changelog
